summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2015-10-29 11:43:47 +0100
committerJustin Lecher <jlec@gentoo.org>2015-10-29 11:43:59 +0100
commit208527d690e4939ef3f6ed5fa1e031672d982cf5 (patch)
treeaa1baa7632f581f887bd57e2997a7d8e5b685382 /sci-physics
parentapp-doc/root-docs: Version Bump (diff)
downloadgentoo-208527d690e4939ef3f6ed5fa1e031672d982cf5.tar.gz
gentoo-208527d690e4939ef3f6ed5fa1e031672d982cf5.tar.bz2
gentoo-208527d690e4939ef3f6ed5fa1e031672d982cf5.zip
sci-physics/root: Version Bump
Package-Manager: portage-2.2.23 Signed-off-by: Justin Lecher <jlec@gentoo.org>
Diffstat (limited to 'sci-physics')
-rw-r--r--sci-physics/root/Manifest1
-rw-r--r--sci-physics/root/files/root-6.04.06-prop-flags.patch22
-rw-r--r--sci-physics/root/metadata.xml45
-rw-r--r--sci-physics/root/root-6.04.06.ebuild489
4 files changed, 535 insertions, 22 deletions
diff --git a/sci-physics/root/Manifest b/sci-physics/root/Manifest
index 3bf0accc7be..2104a382d18 100644
--- a/sci-physics/root/Manifest
+++ b/sci-physics/root/Manifest
@@ -1,3 +1,4 @@
DIST root_v5.34.26.source.tar.gz 75171961 SHA256 c1fd2a249bb7210914b42e35dba4f1262cfa46b79ef7a41f73d7f08f8c54a643 SHA512 f5da5e20d1763608a32d78c48581e574a3f51aef47ecf6987a4064d1fb3234dfc9f626e041a17213f881f52f807ed6a6da60bf1d24951fa7dc2cadd94f8dd8b4 WHIRLPOOL 77b48b815c971642da68b71732a0ea3372648634281be634037b13cb58488f7075ec8bfc9a684e55d85cd9b038f229be29b19a15dfc829f0ce63a5f17241c23c
DIST root_v5.34.32.source.tar.gz 75170203 SHA256 939c7592802a54b6cbc593efb6e51699bf52e92baf6d6b20f486aaa08480fc5f SHA512 6485f2bb544947173e1feb2cfb41d6a176020027f1193d9388700a797ba4badbf497022e6129fdc4879e709460bf1efabf3e51c51840f0c781fa12e631419afc WHIRLPOOL 695147a519415b99e73fdad1cd61bb1944e292628236b5a7cbf1835174c950fa9cb068431a8164f24663323163012ea652db84d082f9f1eb1fcae79489575d9e
DIST root_v6.02.05.source.tar.gz 99121880 SHA256 7a5d4af171ba3b8a736c462b2041f8f35bd4c1d3b6a22c32a3ebd3ffe144ae60 SHA512 b30bc4aafe294ee069ee4c884ff70c983539a48eda586cd1938d00d4688f10e94a435640965b89c6d100fdd998453a4c1ae2109d5f1427f23865a868c561d684 WHIRLPOOL de363835fa00ffa0ff6e596b3c92b59ed59378bac3a344c066f7603d6104058203f76181d4c15478fd9066aedbe6a514257d5796feedb2d5d0d789b263e92955
+DIST root_v6.04.06.source.tar.gz 99180724 SHA256 6deac9cd71fe2d7a48ea2bcbd793639222c4743275dbc946c158295b1e1fe330 SHA512 ac96ac998ed4894587b7d286d79bcbea7b33f15764cc2513ae089e86c584e2dcb064cd135d44a4bfd2bede368eb772ccbffcd6bf426857a1236f5d7e9f5ce6fd WHIRLPOOL 7ffca036917d798ade31e1a22e9518d567e4267af5d1db555ea0e82c1bc2c7a1f665c8cd76d3ce6511507ab7befea4881580259c6142f1e668edafbcbc5e496e
diff --git a/sci-physics/root/files/root-6.04.06-prop-flags.patch b/sci-physics/root/files/root-6.04.06-prop-flags.patch
new file mode 100644
index 00000000000..90db15e21f6
--- /dev/null
+++ b/sci-physics/root/files/root-6.04.06-prop-flags.patch
@@ -0,0 +1,22 @@
+ config/Makefile.in | 6 +++---
+ 1 file changed, 3 insertions(+), 3 deletions(-)
+
+diff --git a/config/Makefile.in b/config/Makefile.in
+index 9243c90..a23a4d2 100644
+--- a/config/Makefile.in
++++ b/config/Makefile.in
+@@ -64,11 +64,11 @@ HOST := @host@
+ USECONFIG := @useconfig@
+ MKLIBOPTIONS := @mkliboption@
+
+-EXTRA_CFLAGS := -Iinclude @cflags@
++EXTRA_CFLAGS := -Iinclude @cflags@ $(CFLAGS)
+ USERCONF_CFLAGS:= @usercflags@
+-EXTRA_CXXFLAGS := -Iinclude @cflags@
++EXTRA_CXXFLAGS := -Iinclude @cflags@ $(CXXFLAGS)
+ USERCONF_CXXFLAGS:= @usercxxflags@
+-EXTRA_LDFLAGS := @ldflags@
++EXTRA_LDFLAGS := @ldflags@ $(LDFLAGS)
+ WERROR := @werror@
+ WINRTDEBUG := @winrtdebug@
+ CTORSINITARRAY := @ctorsinitarray@
diff --git a/sci-physics/root/metadata.xml b/sci-physics/root/metadata.xml
index 86bcf98fb8e..d8e9e6fa222 100644
--- a/sci-physics/root/metadata.xml
+++ b/sci-physics/root/metadata.xml
@@ -1,12 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<maintainer>
- <email>bircoph@gentoo.org</email>
- <name>Andrew Savchenko</name>
-</maintainer>
-<herd>sci-physics</herd>
-<longdescription lang="en">
+ <maintainer>
+ <email>bircoph@gentoo.org</email>
+ <name>Andrew Savchenko</name>
+ </maintainer>
+ <herd>sci-physics</herd>
+ <longdescription lang="en">
ROOT Object Oriented Technologies is an object oriented data
analysis framework written in C++ by the CERN. Widely used in
high energy physics, but also in other data analysis applications. It
@@ -14,20 +14,21 @@
statistics, serialization, optimization, linear algebra, graphics,
GUI toolkit, and a complete visualization framework.
</longdescription>
-<use>
- <flag name="c++11"> Build ROOT using the C++11 standard</flag>
- <flag name="c++14"> Build ROOT using the C++14 standard</flag>
- <flag name="fits">Support for images and data from FITS files with <pkg>sci-libs/cfitsio</pkg></flag>
- <flag name="gdml">Enable GDML writer and reader</flag>
- <flag name="geocad">Enable ROOT-CAD interface using <pkg>sci-libs/opencascade</pkg></flag>
- <flag name="http">Enable http server support including but not limited to fastcgi support</flag>
- <flag name="math">Build all math related libraries plugins, needs <pkg>sci-libs/gsl</pkg> </flag>
- <flag name="memstat">Build memory statistics library, helps to detect memory leaks</flag>
- <flag name="pythia6">Build the interface for <pkg>sci-physics/pythia</pkg> version 6.x </flag>
- <flag name="pythia8">Build the interface for <pkg>sci-physics/pythia</pkg> version 8.x </flag>
- <flag name="reflex">Build the reflection database for the C++ interpreter</flag>
- <flag name="shadow">Enable shadow authentication in rootd and proofd</flag>
- <flag name="table">Build libTable contrib library</flag>
- <flag name="xrootd">Build the interface for <pkg>net-libs/xrootd</pkg> </flag>
-</use>
+ <use>
+ <flag name="c++11"> Build ROOT using the C++11 standard</flag>
+ <flag name="c++14"> Build ROOT using the C++14 standard</flag>
+ <flag name="fits">Support for images and data from FITS files with <pkg>sci-libs/cfitsio</pkg></flag>
+ <flag name="gdml">Enable GDML writer and reader</flag>
+ <flag name="geocad">Enable ROOT-CAD interface using <pkg>sci-libs/opencascade</pkg></flag>
+ <flag name="http">Enable http server support including but not limited to fastcgi support</flag>
+ <flag name="math">Build all math related libraries plugins, needs <pkg>sci-libs/gsl</pkg> </flag>
+ <flag name="memstat">Build memory statistics library, helps to detect memory leaks</flag>
+ <flag name="pythia6">Build the interface for <pkg>sci-physics/pythia</pkg> version 6.x </flag>
+ <flag name="pythia8">Build the interface for <pkg>sci-physics/pythia</pkg> version 8.x </flag>
+ <flag name="reflex">Build the reflection database for the C++ interpreter</flag>
+ <flag name="shadow">Enable shadow authentication in rootd and proofd</flag>
+ <flag name="table">Build libTable contrib library</flag>
+ <flag name="xrootd">Build the interface for <pkg>net-libs/xrootd</pkg> </flag>
+ <flag name="R">Enable support for <pkg>dev-lang/R</pkg></flag>
+ </use>
</pkgmetadata>
diff --git a/sci-physics/root/root-6.04.06.ebuild b/sci-physics/root/root-6.04.06.ebuild
new file mode 100644
index 00000000000..1ccb466fdb7
--- /dev/null
+++ b/sci-physics/root/root-6.04.06.ebuild
@@ -0,0 +1,489 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit elisp-common eutils fdo-mime fortran-2 multilib python-single-r1 \
+ toolchain-funcs user versionator
+
+DESCRIPTION="C++ data analysis framework and interpreter from CERN"
+HOMEPAGE="http://root.cern.ch/"
+SRC_URI="ftp://root.cern.ch/${PN}/${PN}_v${PV}.source.tar.gz"
+DOC_URI="ftp://root.cern.ch/${PN}/doc"
+
+SLOT="0/$(get_version_component_range 1-3 ${PV})"
+LICENSE="LGPL-2.1 freedist MSttfEULA LGPL-3 libpng UoI-NCSA"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="+X afs avahi doc emacs examples fits fftw gdml geocad
+ graphviz http kerberos ldap +math +memstat mpi mysql odbc
+ +opengl openmp oracle postgres prefix pythia6 pythia8
+ python qt4 R shadow sqlite ssl table +tiff xinetd xml xrootd"
+
+# TODO: add support for: davix
+# TODO: ROOT-6 supports x32 ABI, but half of its dependencies doesn't
+# TODO: unbundle: cling, vdt
+
+REQUIRED_USE="
+ !X? ( !opengl !qt4 !tiff )
+ mpi? ( math !openmp )
+ openmp? ( math !mpi )
+ python? ( ${PYTHON_REQUIRED_USE} )
+"
+
+CDEPEND="
+ app-arch/xz-utils:0=
+ >=dev-lang/cfortran-4.4-r2
+ dev-libs/libpcre:3=
+ media-fonts/dejavu
+ media-libs/freetype:2=
+ media-libs/libpng:0=
+ >=sys-devel/clang-3.4:=
+ sys-libs/ncurses:=
+ sys-libs/zlib:0=
+ X? (
+ media-libs/ftgl:0=
+ media-libs/glew:0=
+ x11-libs/libX11:0=
+ x11-libs/libXext:0=
+ x11-libs/libXpm:0=
+ || (
+ media-libs/libafterimage:0=[gif,jpeg,png,tiff?]
+ >=x11-wm/afterstep-2.2.11:0=[gif,jpeg,png,tiff?]
+ )
+ opengl? ( virtual/opengl virtual/glu x11-libs/gl2ps:0= )
+ qt4? (
+ dev-qt/qtgui:4=
+ dev-qt/qtopengl:4=
+ dev-qt/qt3support:4=
+ dev-qt/qtsvg:4=
+ dev-qt/qtwebkit:4=
+ dev-qt/qtxmlpatterns:4=
+ )
+ x11-libs/libXft:0=
+ )
+ afs? ( net-fs/openafs )
+ avahi? ( net-dns/avahi:0= )
+ emacs? ( virtual/emacs )
+ fits? ( sci-libs/cfitsio:0= )
+ fftw? ( sci-libs/fftw:3.0= )
+ geocad? ( <sci-libs/opencascade-6.8.0:= )
+ graphviz? ( media-gfx/graphviz:0= )
+ http? ( dev-libs/fcgi:0= )
+ kerberos? ( virtual/krb5 )
+ ldap? ( net-nds/openldap:0= )
+ math? (
+ sci-libs/gsl:0=
+ sci-mathematics/unuran:0=
+ mpi? ( virtual/mpi )
+ )
+ mysql? ( virtual/mysql )
+ odbc? ( || ( dev-db/libiodbc:0= dev-db/unixODBC:0= ) )
+ oracle? ( dev-db/oracle-instantclient-basic:0= )
+ postgres? ( dev-db/postgresql:= )
+ pythia6? ( sci-physics/pythia:6= )
+ pythia8? ( >=sci-physics/pythia-8.1.80:8= )
+ python? ( ${PYTHON_DEPS} )
+ R? ( dev-lang/R )
+ shadow? ( virtual/shadow )
+ sqlite? ( dev-db/sqlite:3= )
+ ssl? ( dev-libs/openssl:0= )
+ xml? ( dev-libs/libxml2:2= )
+ xrootd? ( >=net-libs/xrootd-3.3.5:0= )
+"
+
+# TODO: ruby is not yet ported to ROOT-6, reenable when (if?) ready
+# ruby? (
+# dev-lang/ruby:=
+# dev-ruby/rubygems:=
+# )
+
+DEPEND="${CDEPEND}
+ virtual/pkgconfig"
+
+RDEPEND="${CDEPEND}
+ xinetd? ( sys-apps/xinetd )"
+
+PDEPEND="doc? ( ~app-doc/root-docs-${PV}[http=,math=] )"
+
+# install stuff in ${P} and not ${PF} for easier tracking in root-docs
+DOC_DIR="/usr/share/doc/${P}"
+
+OC_UNSUPPORTED="6.8.0"
+
+die_compiler() {
+ eerror "You are using a $(tc-getCXX)-$5 without C++$1 capabilities"
+ die "Need one of the following C++$1 capable compilers:\n"\
+ " >=sys-devel/gcc[cxx]-$2\n"\
+ " >=sys-devel/clang-$3\n"\
+ " >=dev-lang/icc-$4"
+}
+
+# check compiler to satisfy minimal versions
+# $1 - std version
+# $2 - g++
+# $3 - clang++
+# $4 - icc/icpc
+check_compiler() {
+ local ver
+ case "$(tc-getCXX)" in
+ *clang++*)
+ ver="$(best_version sys-devel/clang | sed 's:sys-devel/clang-::')"
+ ;;
+ *g++*)
+ ver="$(gcc-version)"
+ ;;
+ *icc*|*icpc*)
+ ver="$(best_version dev-lang/icc | sed 's:dev-lang/icc-::')"
+ eerror "ROOT-6 is known not to build with ICC."
+ eerror "Please report any isuses upstream."
+ ;;
+ *)
+ ewarn "You are using an unsupported compiler."
+ ewarn "Please report any issues upstream."
+ return 0
+ ;;
+ esac
+ version_is_at_least "$3" "${ver}" || die_compiler "$1" "$2" "$3" "$4" "${ver}"
+}
+
+pkg_setup() {
+ fortran-2_pkg_setup
+ use python && python-single-r1_pkg_setup
+ echo
+ elog "There are extra options on packages not yet in Gentoo:"
+ elog "Afdsmgrd, AliEn, castor, Chirp, dCache, gfal, Globus, gLite,"
+ elog "HDFS, Monalisa, MaxDB/SapDB, SRP."
+ elog "You can use the env variable EXTRA_ECONF variable for this."
+ elog "For example, for SRP, you would set: "
+ elog "EXTRA_ECONF=\"--enable-srp --with-srp-libdir=${EROOT%/}/usr/$(get_libdir)\""
+ echo
+
+ enewgroup rootd
+ enewuser rootd -1 -1 /var/spool/rootd rootd
+
+ if use math; then
+ if use openmp; then
+ if [[ "$(tc-getCXX)" == *g++* && "$(tc-getCXX)" != *clang++* ]] && ! tc-has-openmp; then
+ ewarn "You are using a g++ without OpenMP capabilities"
+ die "Need an OpenMP capable compiler"
+ else
+ export USE_OPENMP=1 USE_PARALLEL_MINUIT2=1
+ fi
+ elif use mpi; then
+ export USE_MPI=1 USE_PARALLEL_MINUIT2=1
+ fi
+ fi
+
+ # c++11 support is mandatory
+ check_compiler "11" "4.8" "3.4" "13"
+
+ # Active version of opencascade may be >= $OC_UNSUPPORTED,
+ # so we need to eselect proper version (it must exist due to DEPEND requirement)
+ if use geocad; then
+ oc_current=$(eselect opencascade show)
+ # Proceed only if active version is unsupported
+ if version_is_at_least "${OC_UNSUPPORTED}" "${oc_current}"; then
+ local -a vlist
+ vlist=( $(version_sort $(eselect opencascade list | awk '/^ / { print $2 }')) )
+ local i
+ # search for higehr version < $OC_UNSUPPORTED
+ # list is sorted acsending, so loop backwards
+ for (( i=$(( ${#vlist[@]} -1 )); i>=0; i-- )); do
+ version_is_at_least "${OC_UNSUPPORTED}" "${vlist[i]}" || break
+ done
+ [[ $i == "-1" ]] && die "No suitable opencascade eselect slot is available (<${OC_UNSUPPORTED})"
+
+ einfo "Switching opencascade to supported slot: ${oc_current} -> ${vlist[i]}"
+ eselect opencascade set ${vlist[i]} > /dev/null || die "eselect opencascade set ${vlist[i]} failed!"
+ else
+ # forget it, effectively disabling eselect cleanup
+ unset oc_current
+ fi
+ fi
+}
+
+src_prepare() {
+ # Second version of makepch is required in order to generate
+ # PCH file appropriate for Gentoo include headers layout.
+ # This can be done only at install stage, when files are placed
+ # as appropriate. Premature modification of makepch.sh will
+ # broke build process, however.
+ #cp "etc/dictpch/makepch.sh" "etc/dictpch/makepch-gentoo.sh" || die
+
+ epatch \
+ "${FILESDIR}"/${PN}-5.28.00b-glibc212.patch \
+ "${FILESDIR}"/${PN}-5.32.00-afs.patch \
+ "${FILESDIR}"/${PN}-5.32.00-cfitsio.patch \
+ "${FILESDIR}"/${PN}-5.32.00-chklib64.patch \
+ "${FILESDIR}"/${PN}-5.34.13-unuran.patch \
+ "${FILESDIR}"/${PN}-6.00.01-dotfont.patch \
+ "${FILESDIR}"/${PN}-6.00.01-llvm.patch \
+ "${FILESDIR}"/${PN}-6.00.01-nobyte-compile.patch \
+ "${FILESDIR}"/${P}-prop-flags.patch
+ # "${FILESDIR}"/${PN}-6.02.05-xrootd4.patch
+ # "${FILESDIR}"/${PN}-6.02.05-dictpch.patch \
+
+ # make sure we use system libs and headers
+ rm montecarlo/eg/inc/cfortran.h README/cfortran.doc || die
+ rm -r graf2d/asimage/src/libAfterImage || die
+ rm -r graf3d/ftgl/{inc,src} || die
+ rm -r graf2d/freetype/src || die
+ rm -r graf3d/glew/{inc,src} || die
+ rm -r core/pcre/src || die
+ rm -r math/unuran/src/unuran-*.tar.gz || die
+ LANG=C LC_ALL=C find core/zip -type f -name "[a-z]*" -print0 | \
+ xargs -0 rm || die
+ rm -r core/lzma/src/*.tar.gz || die
+ rm graf3d/gl/{inc,src}/gl2ps.* || die
+ sed -i -e 's/^GLLIBS *:= .* $(OPENGLLIB)/& -lgl2ps/' \
+ graf3d/gl/Module.mk || die
+
+ # In Gentoo, libPythia6 is called libpythia6
+ # iodbc is in /usr/include/iodbc
+ # pg_config.h is checked instead of libpq-fe.h
+ sed -i \
+ -e 's:libPythia6:libpythia6:g' \
+ -e 's:$ODBCINCDIR:$ODBCINCDIR /usr/include/iodbc:' \
+ -e 's:libpq-fe.h:pg_config.h:' \
+ configure || die "adjusting configure for Gentoo failed"
+
+ # prefixify the configure script
+ sed -i \
+ -e 's:/usr:${EPREFIX}/usr:g' \
+ configure || die "prefixify configure failed"
+
+ # CSS should use local images
+ sed -i -e 's,http://.*/,,' etc/html/ROOT.css || die "html sed failed"
+
+ # QTDIR only used for qt3 in gentoo, and configure looks for it.
+ unset QTDIR
+}
+
+# NB: ROOT uses bundled LLVM, because it is patched and API-incompatible with
+# system LLVM.
+# NB: As of 6.00.0.1 cmake is not ready as it can't fully replace configure,
+# e.g. for afs and geocad.
+
+src_configure() {
+ local -a myconf
+ # Some compilers need special care
+ case "$(tc-getCXX)" in
+ *clang++*)
+ myconf=(
+ --with-clang
+ --with-f77="$(tc-getFC)"
+ )
+ ;;
+ *icc*|*icpc*)
+ # For icc we need to provide architecture manually
+ # and not to tamper with tc-get*
+ use x86 && myconf=( linuxicc )
+ use amd64 && myconf=( linuxx8664icc )
+ ;;
+ *) # gcc goes here too
+ myconf=(
+ --with-cc="$(tc-getCC)"
+ --with-cxx="$(tc-getCXX)"
+ --with-f77="$(tc-getFC)"
+ --with-ld="$(tc-getCXX)"
+ )
+ ;;
+ esac
+
+ # the configure script is not the standard autotools
+ myconf+=(
+ --prefix="${EPREFIX}/usr"
+ --etcdir="${EPREFIX}/etc/root"
+ --libdir="${EPREFIX}/usr/$(get_libdir)/${PN}"
+ --docdir="${EPREFIX}${DOC_DIR}"
+ --tutdir="${EPREFIX}${DOC_DIR}/examples/tutorials"
+ --testdir="${EPREFIX}${DOC_DIR}/examples/tests"
+ --disable-builtin-afterimage
+ --disable-builtin-ftgl
+ --disable-builtin-freetype
+ --disable-builtin-glew
+ --disable-builtin-lzma
+ --disable-builtin-pcre
+ --disable-builtin-zlib
+ --disable-werror
+ --enable-explicitlink
+ --enable-shared
+ --enable-soversion
+ --fail-on-missing
+ --nohowto
+ --with-afs-shared=yes
+ --with-sys-iconpath="${EPREFIX}/usr/share/pixmaps"
+ # Invalid option '-mtune=native'. Try ./configure --help
+ # --cflags=\"${CFLAGS}\"
+ # --cxxflags=\"${CXXFLAGS}\"
+ $(use_enable X x11)
+ $(use_enable X asimage)
+ $(use_enable X xft)
+ $(use_enable afs)
+ $(use_enable avahi bonjour)
+ $(use_enable fits fitsio)
+ $(use_enable fftw fftw3)
+ $(use_enable gdml)
+ $(use_enable geocad)
+ $(use_enable graphviz gviz)
+ $(use_enable http)
+ $(use_enable kerberos krb5)
+ $(use_enable ldap)
+ $(use_enable math genvector)
+ $(use_enable math gsl-shared)
+ $(use_enable math mathmore)
+ $(use_enable math minuit2)
+ $(use_enable math roofit)
+ $(use_enable math tmva)
+ $(use_enable math vc)
+ $(use_enable math vdt)
+ $(use_enable math unuran)
+ $(use_enable memstat)
+ $(use_enable mysql)
+ $(usex mysql "--with-mysql-incdir=${EPREFIX}/usr/include/mysql" "")
+ $(use_enable odbc)
+ $(use_enable opengl)
+ $(use_enable oracle)
+ $(use_enable postgres pgsql)
+ $(use_enable prefix rpath)
+ $(use_enable pythia6)
+ $(use_enable pythia8)
+ $(use_enable python)
+ $(use_enable qt4 qt)
+ $(use_enable qt4 qtgsi)
+ $(use_enable R r)
+ $(use_enable shadow shadowpw)
+ $(use_enable sqlite)
+ $(use_enable ssl)
+ $(use_enable table)
+ $(use_enable tiff astiff)
+ $(use_enable xml)
+ $(use_enable xrootd)
+ ${EXTRA_ECONF}
+ )
+
+ # usex can't be used here, because pg_config may be not
+ # installed with USE="-postgres"
+ use postgres && myconf+=( --with-pgsql-incdir=$(pg_config --includedir) )
+
+ einfo "Configuring with ${myconf[@]}"
+ ./configure ${myconf[@]} || die "configure failed"
+}
+
+src_compile() {
+ emake \
+ OPT="${CXXFLAGS}" \
+ F77OPT="${FFLAGS}" \
+ ROOTSYS="${S}" \
+ LD_LIBRARY_PATH="${S}/lib"
+ use emacs && elisp-compile build/misc/*.el
+}
+
+daemon_install() {
+ local daemons="rootd proofd"
+ dodir /var/spool/rootd
+ fowners rootd:rootd /var/spool/rootd
+ dodir /var/spool/rootd/{pub,tmp}
+ fperms 1777 /var/spool/rootd/{pub,tmp}
+
+ local i
+ for i in ${daemons}; do
+ newinitd "${FILESDIR}"/${i}.initd ${i}
+ newconfd "${FILESDIR}"/${i}.confd ${i}
+ done
+ if use xinetd; then
+ insinto /etc/xinetd
+ doins "${S}"/etc/daemons/{rootd,proofd}.xinetd
+ fi
+}
+
+desktop_install() {
+ cd "${S}"
+ echo "Icon=root-system-bin" >> etc/root.desktop
+ domenu etc/root.desktop
+ doicon build/package/debian/root-system-bin.png
+
+ insinto /usr/share/icons/hicolor/48x48/mimetypes
+ doins build/package/debian/application-x-root.png
+
+ insinto /usr/share/icons/hicolor/48x48/apps
+ doicon build/package/debian/root-system-bin.xpm
+}
+
+cleanup_install() {
+ # Cleanup of files either already distributed or unused on Gentoo
+ pushd "${ED}" > /dev/null
+ rm usr/share/root/fonts/LICENSE || die
+ rm etc/root/proof/*.sample || die
+ rm -r etc/root/daemons || die
+ # these should be in PATH
+ mv etc/root/proof/utils/pq2/pq2* usr/bin/ || die
+ rm ${DOC_DIR#/}/{INSTALL,LICENSE} || die
+ use examples || rm -r ${DOC_DIR#/}/examples || die
+
+ # clean hardcoded sandbox paths
+ #rm etc/root/dictpch/allCppflags.txt.tmp || die
+ #sed -i "s|${S}/||" etc/root/cling/llvm/Config/llvm-config.h || die
+ # regenerate pch for Gentoo headers layout
+ #rm "etc/root/allDict.cxx.pch" || die
+ #sed -i 's|etc/dictpch|etc/root/dictpch|' etc/root/dictpch/allLinkDefs.h || die
+ #sed -i 's|etc/cling|etc/root/cling|' etc/root/dictpch/allHeaders.h || die
+ #sed -i "s|ROOTDIR_TEMPLATE|${ED}|" etc/root/dictpch/makepch-gentoo.sh || die
+ #etc/root/dictpch/makepch-gentoo.sh etc/root/allDict.cxx.pch || die "PCH generation failed"
+}
+
+src_install() {
+ ROOTSYS="${S}" emake DESTDIR="${D}" install
+ insinto "${DOC_DIR}"
+ doins README.md
+
+ echo "LDPATH=${EPREFIX%/}/usr/$(get_libdir)/root" > 99root
+ use pythia8 && echo "PYTHIA8=${EPREFIX%/}/usr" >> 99root
+
+ if use python; then
+ echo "PYTHONPATH=${EPREFIX%/}/usr/$(get_libdir)/root" >> 99root
+ python_optimize "${D}/usr/$(get_libdir)/root"
+ fi
+ use emacs && elisp-install ${PN} build/misc/*.{el,elc}
+ if use examples; then
+ # these should really be taken care of by the root make install
+ insinto ${DOC_DIR}/examples/tutorials/tmva
+ doins -r tmva/test
+ fi
+ doenvd 99root
+
+ # The build system installs Emacs support unconditionally in the wrong
+ # directory. Remove it and call elisp-install in case of USE=emacs.
+ rm -r "${ED}"/usr/share/emacs || die
+
+ daemon_install
+ desktop_install
+ cleanup_install
+
+ # do not copress files used by ROOT's CLI (.credit, .demo, .license)
+ docompress -x "${DOC_DIR}"/{CREDITS,examples/tutorials}
+ # needed for .license command to work
+ cat > "${DOC_DIR}/LICENSE" <<- EOF
+ Please visit
+ https://www.gnu.org/licenses/old-licenses/lgpl-2.1.en.html
+ for the full license test
+ EOF
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+
+ # restort opencascade eselect slot
+ if use geocad && [[ -n ${oc_current} ]]; then
+ einfo "Switching to user set slot: $(eselect opencascade show) -> ${oc_current}"
+ eselect opencascade set ${oc_current} > /dev/null || eerror "eselect opencascade set ${vlist[i]} failed!"
+ unset oc_current
+ fi
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+}